Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7277 - Misc errors in /etc/rc.d/init.d/xinetd
Summary: Misc errors in /etc/rc.d/init.d/xinetd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: 9wm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-24 10:26 UTC by Andri Bjdrby
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-19 18:11:30 UTC


Attachments (Terms of Use)

Description Andri Bjdrby 1999-11-24 10:26:23 UTC
1. The restart|reload and sreload arguments uses "killproc -USRx
xinetd",should be "killproc xinetd -USRx". I believe this kind of bug has
already been reported for samba. Next time, do a "grep 'killproc -'
/etc/rc.d/init.d/*".

2. The start argument uses "daemon xinetd -pid 2> /var/run/xinetd.pid", but
since daemon() uses initlog this makes constructs of the '2>' kind
worthless. Xinetds pid now ends up in /var/log/messages instead.

Comment 1 Bernhard Rosenkraenzer 2000-01-19 18:11:59 UTC
Thanks, fixed.


Note You need to log in before you can comment on or make changes to this bug.